Get proofs by wallet or DID
curl --request GET \
--url https://api.neus.network/api/v1/proofs/by-wallet/{address}import requests
url = "https://api.neus.network/api/v1/proofs/by-wallet/{address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.neus.network/api/v1/proofs/by-wallet/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"proofs": [
{}
],
"totalCount": 123,
"hasMore": true,
"resolved": {},
"pagination": {},
"nextOffset": 123,
"nextCursor": "<string>",
"pageInfo": {
"limit": 123,
"hasNextPage": true,
"nextCursor": "<string>"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"details": "<unknown>"
},
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"details": "<unknown>"
},
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"details": "<unknown>"
},
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"details": "<unknown>"
},
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"details": "<unknown>"
},
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"details": "<unknown>"
},
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"details": "<unknown>"
},
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}Get proofs by wallet or DID
GET
/
api
/
v1
/
proofs
/
by-wallet
/
{address}
Get proofs by wallet or DID
Headers
CAIP-2 chain reference for non-EVM signature verification (e.g. solana:mainnet)
Signature method hint for non-EVM signatures (e.g. ed25519)
Path Parameters
Query Parameters
Max results per page (default: 50 for public, 1000 for authenticated owner vault; maximum: 1000). Use cursor or offset pagination for larger sets.
Required range:
1 <= x <= 1000Required range:
x >= 0Maximum string length:
2048Available options:
public Available options:
1, true, yes Available options:
1, true, yes Available options:
1, true, yes, 0, false, no Filter to single proof by qHash
Pattern:
^0x[a-fA-F0-9]{64}$Last modified on September 5, 2026
